<?php

namespace App\Http\Controllers\API\v1;

use App\Http\Controllers\Controller;
use Illuminate\Support\Facades\Storage;
use Illuminate\Http\Request;

class FileController extends Controller
{
    public function show(Request $request)
    {
        // $mime = $request->mime ?? 'image/jpeg';
        // $file = Storage::get(($request->folder ?? 'products').'/' . $request->file);
        // return response($file, 200)->header('Content-Type', $mime);
        $imageUrl = Storage::url(($request->folder ?? 'products').'/' . $request->file);
        
        return response()->json(['url' => $imageUrl]);
    }
}