<?php

namespace App\Models\OldDb;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Variation extends Model
{
    use HasFactory;
    protected $connection = 'old_db';
    protected $table = 'product_variations';

    protected $with = ['items'];

    public function items() {
        return $this->hasMany(\App\Models\OldDB\VariationItem::class, 'variationId', 'id');
    }
}
