<?php

namespace Database\Seeders;

use Illuminate\Database\Seeder;
use Database\Seeders\UserSeeder;
use Database\Seeders\PermissionSeeder;
use Database\Seeders\MenuSeeder;
use Database\Seeders\ModuleSeeder;
// use Database\Seeders\StoreSeeder;

class DatabaseSeeder extends Seeder
{
    /**
     * Seed the application's database.
     */
    public function run(): void
    {
        $userSeeder = new UserSeeder();
        $userSeeder->run();
        
        $permissionSeeder = new PermissionSeeder();
        $permissionSeeder->run();

        $menuSeeder = new MenuSeeder();
        $menuSeeder->run();

        $moduleSeeder = new ModuleSeeder();
        $moduleSeeder->run();

        // $storeSeeder = new StoreSeeder();
        // $storeSeeder->run();

    }
}
