<?php

namespace Database\Seeders;

use Illuminate\Database\Console\Seeds\WithoutModelEvents;
use Illuminate\Database\Seeder;
use Illuminate\Support\Facades\DB;

class ProductSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        // Set the connection to the external database
        // DB::connection('old_db');
        
        // // Fetch records from the external database using Eloquent
        // $externalRecords = \App\Models\OldDB\Product::with(['variations'])->whereRaw("title IS NOT NULL AND isVariation IS NULL")->get();
        
        // DB::connection('mysql');
        // $this->reset();

        // // Insert records into your local database
        // foreach ($externalRecords as $record) {
        //     $product_id= $record->id;
        //     $store_id = $record->storeId;
        //     \App\Models\Product::insert([
        //         'id' => $product_id,
        //         'title' => $record->title,
        //         'description' => $record->content,
        //         // 'category_id' => 0,
        //         'brand_id' => $record->brandId,
        //         'product_type_id' => $record->type,
        //         'created_at' => $record->createdAt,
        //         'updated_at' => $record->updatedAt
        //         // Add other columns as needed
        //     ]);
            
        //     if(count($record->variations)==0) {
        //         $var = \App\Models\Variation::firstOrCreate(
        //             [
        //                 'product_id' => $product_id,
        //                 'product_no' => $record->productNo
        //             ],
        //             [
        //             // 'id' => $record->id,
        //             'product_id' => $product_id,
        //             'old_id' => $product_id,
        //             'product_no' => $record->productNo ?? '',
        //             'sku' => $record->sku ?? '',
        //             'description' => $record->content,
        //             'slug' => $record->slug,
        //             'default_price' => $record->price ?? 0,
        //             'wholesale_price' => $record->reseller_price ?? 0,
        //             'max_qty' => $record->maxOrderQty ?? 0,
        //             'min_qty' => $record->reorderQty ?? 0,
        //             'reorder_qty' => $record->reorderQty ?? 1,
        //             'oum' => $record->oumId,
        //             'length' => $record->length ?? 0,
        //             'width' => $record->wide ?? 0,
        //             'height' => $record->height ?? 0,
        //             'weight' => $record->weight ?? 0,
        //             'specs' => null,
        //             'published' => $record->status ?? false,
        //             'published_at' => $record->publishedAt,
        //             'enabled' => true,
        //             'default' => true,
        //             'created_at' => $record->createdAt,
        //             'updated_at' => $record->updatedAt,
        //         ]);
        //         \App\Models\StoreProductDetails::insert([
        //             'store_id' => $store_id ?? 0,
        //             'product_id' => $product_id,
        //             'variation_id' => $var->id,
        //             'description' => $record->content,
        //             'max_order_qty' => $record->maxOrderQty ?? 0,
        //             'min_order_qty' => $record->minOrderQty ?? 1,
        //             'max_qty' => $record->maxOrderQty ?? 1,
        //             'reorder_qty' => $record->reorderQty ?? 1,
        //         ]);

        //         $images = \App\Models\OldDb\ProductImage::where('productId',$product_id)->get();
        //         if($images && count($images)>0) {
        //             foreach($images as $image) {
        //                 \App\Models\VariationImage::create([
        //                     'variation_id' => $var->id,
        //                     'file_id' => $image->fileId,
        //                     'created_at' => $image->createdAt,
        //                     'updated_at' => $image->updatedAt,
        //                 ]);
        //             }
        //         }
        //     } else {

        //         foreach($record->variations as $variation) {
        //             $store_id = $variation->storeId;
        //             $var = \App\Models\Variation::firstOrCreate(
        //                 [
        //                     'product_id' => $product_id,
        //                     'product_no' => $variation->productNo
        //                 ],
        //                 [
        //                 // 'id' => $variation->id,
        //                 'product_id' => $product_id,
        //                 'old_id' => $product_id,
        //                 'product_no' => $variation->productNo ?? '',
        //                 'sku' => $variation->sku ?? '',
        //                 'description' => $variation->content,
        //                 'slug' => $variation->slug,
        //                 'default_price' => $variation->price ?? 0,
        //                 'wholesale_price' => $variation->reseller_price ?? 0,
        //                 'max_qty' => $variation->maxOrderQty ?? 0,
        //                 'min_qty' => $variation->reorderQty ?? 0,
        //                 'reorder_qty' => $variation->reorderQty ?? 1,
        //                 'oum' => $variation->oumId,
        //                 'length' => $variation->length ?? 0,
        //                 'width' => $variation->wide ?? 0,
        //                 'height' => $variation->height ?? 0,
        //                 'weight' => $variation->weight ?? 0,
        //                 'specs' => null,
        //                 'published' => $variation->status ?? false,
        //                 'published_at' => $variation->publishedAt,
        //                 'enabled' => true,
        //                 'default' => $variation->pivot->isDefault ?? null,
        //                 'created_at' => $variation->createdAt,
        //                 'updated_at' => $variation->updatedAt,
        //             ]);
        //             \App\Models\StoreProductDetails::insert([
        //                 'store_id' => $store_id ?? 0,
        //                 'product_id' => $product_id,
        //                 'variation_id' => $var->id,
        //                 'description' => $variation->content,
        //                 'max_order_qty' => $variation->maxOrderQty ?? 0,
        //                 'min_order_qty' => $variation->minOrderQty ?? 1,
        //                 'max_qty' => $variation->maxOrderQty ?? 1,
        //                 'reorder_qty' => $variation->reorderQty ?? 1,
        //             ]);
        //             DB::connection('old_db');
        //             $attributes = \App\Models\OldDb\VariationItem::select("product_attributes.*")
        //             ->where('variationId', $variation->id)
        //             ->join("product_attributes", "product_variation_items.attributeId", "=", "product_attributes.id")
        //             ->get();
                    
        //             DB::connection('mysql');
        //             if($attributes && count($attributes)>0) {
        //                 foreach($attributes as $item) {

        //                     \App\Models\VariationAttributeValue::create([
        //                         'variation_id' => $var->id,
        //                         'attribute_id' => $item->attributeSetId,
        //                         'value' => $item->title,
        //                         'created_at' => $item->createdAt,
        //                         'updated_at' => $item->updatedAt,
        //                     ]);
        //                 }
        //             }

        //             $images = \App\Models\OldDb\ProductImage::where('productId',$variation->id)->get();
        //             if($images && count($images)>0) {
        //                 foreach($images as $image) {
        //                     \App\Models\VariationImage::create([
        //                         'variation_id' => $var->id,
        //                         'file_id' => $image->fileId,
        //                         'created_at' => $image->createdAt,
        //                         'updated_at' => $image->updatedAt,
        //                     ]);
        //                 }
        //             }
        //         }
        //     }
        // }
    }

    public function reset() {
        \App\Models\Product::truncate();
        \App\Models\Variation::truncate();
        \App\Models\StoreProductDetails::truncate();
        \App\Models\VariationAttributeValue::truncate();
    }
}
